package com.knecon.fforesight.service.layoutparser.processor.model.outline;

import java.awt.geom.Point2D;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.RequiredArgsConstructor;

@Data
@RequiredArgsConstructor
@AllArgsConstructor
public class OutlineObject {

    private final String title;
    private final int pageNumber;
    private Point2D point;
    private final int treeDepth;

    private boolean found;


    public OutlineObject(String title, int pageNumber, Point2D point2D, int depth) {

        this(title, pageNumber, depth);
        this.point = point2D;
    }


    @Override
    public String toString() {

        return "OutlineObject{" + "title='" + title + '\'' + '}';
    }

}
